DataInputControllerAddDataStorageColumn Method |
POST /DataInput/DataStorageColumn/
Adds the specified data storage column.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPostAttribute]
[ActionNameAttribute("DataStorageColumn")]
public HttpResponseMessage AddDataStorageColumn(
[FromBodyAttribute] DataStorageColumnOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("DataStorageColumn")>
Public Function AddDataStorageColumn (
<FromBodyAttribute> options As DataStorageColumnOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"DataStorageColumn")]
HttpResponseMessage^ AddDataStorageColumn(
[FromBodyAttribute] DataStorageColumnOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("DataStorageColumn")>]
member AddDataStorageColumn :
[<FromBodyAttribute>] options : DataStorageColumnOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsDataStorageColumnOptions
The data to be provided for creation of the column. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
ConnectorElementData object containing the new connector element data, or a status code indicating the reason for failure.
See Also